{% extends 'static_user.html' %} {% block content %}
<title>Customer Approval</title>
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event/create-event">Create Event</a>
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/create-adopsi">Create Adopsi</a>
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Statistik
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/user/list-customer">VIP Approval</a>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
<style>
    .containers {
        padding: 16px 16px;
        width: 300px;
        height: 300px;
    }
    
    .custom-table {
        background-color: #ebf2f5;
    }
</style>

<body style="background-color: rgb(255, 255, 255);">
    <br>
    <div class="container">
        <h2 style="color:#080808;font-family: 'Poppins', sans-serif;font-size: 36px;font-weight: 600;">Manajemen User SIRAD</h2>

        <br>
        <br>
        <div class="tab-content">
            <div id="all" class="tab-pane fade show active">
                {% if customer %}
                <div class="wrap">

                    <table class="table table-bordered border-dark">
                        <thead class="table-dark">
                            <tr>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">No</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Username</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Status</th>
                                <th scope="col" style="font-family: 'Poppins', sans-serif;" class="text-center">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for customer in customer %}
                            <tr>
                                <td style="font-family: 'Poppins', sans-serif; font-weight: bold;">{{ forloop.counter }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{{ customer.username }}</td>
                                <td style="font-family: 'Poppins', sans-serif;">{% if customer.is_vip %}
                                    Customer VIP
                                    {% else %}
                                    Customer Reguler
                                    {% endif %}
                                </td>
                                {% if customer.is_vip %}
                                    <td class="text-center">
                                        <a style="font-family: 'Poppins', sans-serif;">Sudah disetujui</a>
                                    </td>
                                {% else %}
                                    <td class="text-center">
                                        <a class="btn btn-info" href="customer-approval/{{ customer.id }}">Approve</a>
                                    </td>
                                {% endif %}
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
                {% endif %}
            </div>
        </div>

    </div>
</body>


{% endblock %}